Subject: Re: [PATCH v2 0/2] clone: simplify progress message

From: Pete Harlan <[email-masked]>
Date: Sun, 09 May 2010 16:10:57 -0700

On 05/09/2010 03:15 PM, Junio C Hamano wrote:
> Pete Harlan <[email-masked]> writes:
> 
>> On 05/09/2010 04:02 AM, Jeff King wrote:
>>> On Sat, May 08, 2010 at 06:23:21PM -0700, Pete Harlan wrote:
>>> 
>>>> "git clone foo bar" currently reports "Cloning into
>>>> /path/to/bar/.git".  Change this message to "Cloning into bar" to more
>>>> closely match the user's expectation.
>>> 
>>> I am a little torn on this. For most users, it is just another
>>> implementation detail that makes git's output more confusing. And it is
>>> likely to be the very first git message seen by many people. But at the
>>> same time, it is telling you where the repository actually is, which is
>>> something that can help users learn about how git works.
>>> 
>>> I guess it comes down to how much detail we want to show.
>>
>> For me it isn't only a matter of detail; I find "Cloning into
>> bar/.git" misleading, since bar is getting more than a .git directory.
> 
> That is also misleading, as cloning is done into bar/.git and everything
> else happens locally as part of the checkout.
> 
> I didn't want to go into nitpicky details, but you asked for it ;-)

Fair enough :)

>> Pete Harlan (2):
>>   clone: have progress report mention top level dir, not git dir
>>   clone: add bare clone to the progress message
> 
> I think the squashing these two into one patch makes quite a lot of
> sense.  Does any of the existing test need adjustments, by the way?

No, the test (t5601-clone.sh) looks for "Clon", so the new message
passes that just as well.

I could add a new test that ensures that "bare repository" shows up in
the message when --bare is passed if you think that's worthwhile.

--Pete